Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.keys.storage.implementations
Class CertsInFilesystemDirectoryResolver

    java.lang.Object
      org.apache.xml.security.keys.storage.StorageResolverSpi
          org.apache.xml.security.keys.storage.implementations.CertsInFilesystemDirectoryResolver

    public class CertsInFilesystemDirectoryResolver

extends StorageResolverSpi

This `StorageResolverSpi` makes all raw (binary) `X509Certificate`s which reside as files in a single directory available to the `StorageResolver`.

Constructor Summary
`CertsInFilesystemDirectoryResolver(java.lang.String directoryName)`

Method Summary
`java.util.Iterator<java.security.cert.Certificate>` | `getIterator()` Method getIterator
`static void` | `main(java.lang.String[] unused)` Method main

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CertsInFilesystemDirectoryResolver

    public CertsInFilesystemDirectoryResolver(java.lang.String directoryName)
                                       throws StorageResolverException

Parameters:
  `directoryName` -
Throws:
  `StorageResolverException`

Method Detail

### getIterator

    public java.util.Iterator<java.security.cert.Certificate> getIterator()

  Description copied from class: `StorageResolverSpi`
  Method getIterator

  Specified by:
    `getIterator` in class `StorageResolverSpi`
  Returns:
    the iterator for the storage

### main

    public static void main(java.lang.String[] unused)
                     throws java.lang.Exception

  Method main

  Parameters:
    `unused` -
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD